Bug 982442 - [abrt] gnome-shell-3.8.3-3.fc19: _swrast_map_texture: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.8.3-3.fc19: _swrast_map_texture: Process /usr/bin/gnome-...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:edd2bfaf50063c6a49c07e4f8ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 00:27 EDT by Dave Johansen
Modified: 2015-02-17 11:00 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:00:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.62 KB, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: core_backtrace (3.66 KB, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: dso_list (21.27 KB, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: environ (1.22 KB, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: maps (57.75 KB, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: open_fds (3.38 KB, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: proc_pid_status (791 bytes, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details
File: var_log_messages (15.96 KB, text/plain)
2013-07-09 00:27 EDT, Dave Johansen
no flags Details

  None (edit)
Description Dave Johansen 2013-07-09 00:27:06 EDT
Description of problem:
Put the laptop in the dock.

Version-Release number of selected component:
gnome-shell-3.8.3-3.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.9.9-301.fc19.i686.PAE
runlevel:       N 5
uid:            1000
xsession_errors: Window manager warning: Log level 16: gnome-shell: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _swrast_map_texture at ../../../src/mesa/swrast/s_texture.c:287
 #1 _swrast_map_textures at ../../../src/mesa/swrast/s_texture.c:353
 #2 _swrast_span_render_start at ../../../src/mesa/swrast/s_context.c:876
 #3 _swrast_render_start at ../../../src/mesa/swrast/s_context.c:895
 #4 _swsetup_RenderStart at ../../../src/mesa/swrast_setup/ss_context.c:202
 #5 run_render at ../../../src/mesa/tnl/t_vb_render.c:276
 #6 _tnl_run_pipeline at ../../../src/mesa/tnl/t_pipeline.c:163
 #7 intelRunPipeline at intel_tris.c:1099
 #8 _tnl_draw_prims at ../../../src/mesa/tnl/t_draw.c:525
 #9 _tnl_vbo_draw_prims at ../../../src/mesa/tnl/t_draw.c:425
Comment 1 Dave Johansen 2013-07-09 00:27:10 EDT
Created attachment 770768 [details]
File: backtrace
Comment 2 Dave Johansen 2013-07-09 00:27:13 EDT
Created attachment 770769 [details]
File: cgroup
Comment 3 Dave Johansen 2013-07-09 00:27:16 EDT
Created attachment 770770 [details]
File: core_backtrace
Comment 4 Dave Johansen 2013-07-09 00:27:19 EDT
Created attachment 770771 [details]
File: dso_list
Comment 5 Dave Johansen 2013-07-09 00:27:22 EDT
Created attachment 770772 [details]
File: environ
Comment 6 Dave Johansen 2013-07-09 00:27:27 EDT
Created attachment 770773 [details]
File: limits
Comment 7 Dave Johansen 2013-07-09 00:27:30 EDT
Created attachment 770774 [details]
File: maps
Comment 8 Dave Johansen 2013-07-09 00:27:33 EDT
Created attachment 770775 [details]
File: open_fds
Comment 9 Dave Johansen 2013-07-09 00:27:36 EDT
Created attachment 770776 [details]
File: proc_pid_status
Comment 10 Dave Johansen 2013-07-09 00:27:39 EDT
Created attachment 770777 [details]
File: var_log_messages
Comment 11 Dave Johansen 2013-07-09 00:39:24 EDT
Plugged the laptop into the dock.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.9.9-301.fc19.i686.PAE
package:        gnome-shell-3.8.3-3.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
xsession_errors: Window manager warning: Log level 16: gnome-shell: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Comment 12 Dave Johansen 2013-07-09 11:08:10 EDT
I tried it again with all extensions disabled and it died in the same way. I'm not sure if this sort of info is included with everything that is submitted by abrt, but the following errors were in dmesg:

[  511.374183] gnome-shell[1524]: segfault at 0 ip b43b73a5 sp bffc1da0 error 4 in libdricore9.2.0-devel.so.1.0.0[b4200000+3c8000]
[  552.450528] gnome-shell[2031]: segfault at 0 ip b396b3a5 sp bfeb5a70 error 4 in libdricore9.2.0-devel.so.1.0.0[b37b4000+3c8000]

Is there any other info I can provide to help diagnose/fix this issue?
Comment 13 Dave Johansen 2013-07-13 11:06:09 EDT
I've updated using yum and now this no longer crashes, but I can't launch any programs. When I click on the icon to start a program, nothing happens.
Comment 14 Daniel Arroyo Portilla 2013-10-03 14:13:56 EDT
	Hi, This is a recent problem on Fedora 19, instead of Fedora 18.
1. step.  The computer starts normally and grants access to the account. It finishes to launch desktop successfully.
2. step. Once I connect an VGA or S-Video display, computer starts to having some serious lag on graphical interface and a few seconds after Gnome says that something went wrong and needs to Log Out. And that's all.
	After some research on internet, I found some Intel drivers which I installed and doesn't solve anything. Here is the page: “https://01.org/linuxgraphics/downloads/2013/intelr-linux-graphics-installer-version-1.0.2”
	I have a Toshiba Satellite. Model: A205-S4607

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.11.1-200.fc19.x86_64
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Wade Hampton 2013-10-28 21:38:48 EDT
Same issue with Gateway N214 netbook. Startup, log in.  Then plug Dell 1704 flat panel VGA monitor into it.  Gnome Shell crashes.  I can move the mouse from one window to the other, but no frames around windows.  Screen then goes to a dark blue on both monitors -- all that is displayed is the mouse.

This is a fresh load of F19 1on 10/27 with updates as of 10/28/2013.  Gnome Shell 3.8.4-2.

Abrt shows Gnome shell killed by signal 11.

Below are some lines from /var/log/messages:

Oct 28 14:05:29 localhost colord: Device added: xrandr-Dell-DELL 1704FPV-H6304571AM9Y
Oct 28 14:05:30 localhost colord: Automatic metadata add icc-f6fe3308842178ef54b58c0235b836fa to xrandr-
Dell-DELL 1704FPV-H6304571AM9Y
Oct 28 14:05:30 localhost colord: Profile added: icc-f6fe3308842178ef54b58c0235b836fa
Oct 28 14:05:38 localhost kernel: [28115.356853] gnome-shell[1342]: segfault at 0 ip b386b3a5 sp bfef44a0 error 4 in libdricore9.2.0-devel.so.1.0.0[b36b4000+3c8000]
Oct 28 14:05:38 localhost abrt[3831]: File '/usr/bin/gnome-shell' seems to be deleted
Oct 28 14:05:43 localhost abrt[3831]: Saved core dump of pid 1342 (/usr/bin/gnome-shell) to /var/tmp/abrt/ccpp-2013-10-28-14:05:38-1342 (245321728 bytes)
Oct 28 14:05:43 localhost abrtd: Directory 'ccpp-2013-10-28-14:05:38-1342' creation detected
Oct 28 14:05:44 localhost NetworkManager[376]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.protected: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.72': no such name
Oct 28 14:05:44 localhost NetworkManager[376]: <warn> error requesting auth for org.freedesktop.NetworkManager.wifi.share.open: (3) GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Could not get UID of name ':1.72': no such name
Oct 28 14:05:44 localhost gnome-session[1090]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
Oct 28 14:05:44 localhost gdm[315]: GLib-GObject: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Comment 16 Wade Hampton 2013-10-28 21:41:31 EDT
Loaded fresh version of Fedora 19 on Gateway N214 netbook.  Updated to latest files.
Plugged in external mouse keyboard (both USB).
Plugged Dell VGA flat panel 1704.  


reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.9.5-301.fc19.i686.PAE
package:        gnome-shell-3.8.4-2.fc19
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Bastien Nocera 2014-04-28 08:30:34 EDT
Another user experienced a similar problem:

Plugged in a TV via VGA output

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _swrast_map_texture
executable:     /usr/bin/gnome-shell
kernel:         3.13.9-100.fc19.i686
package:        gnome-shell-3.8.4-3.fc19
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora End Of Life 2015-01-09 13:47:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-17 11:00:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.